from flask import Flask
import random  # randint()を使うのに必要

app = Flask(__name__)

@app.route('/updown/<number>')  # <number>は可変の部分
# numberに相当する数字が入らなければ引数をNoneにするという指定込みの関数定義
def updown(number = None):  # URLからnumberを受け取る
    num = int(number)
    ran = random.randint(1, 10)  # 乱数を1～10の範囲で生成
    msg = 'My random number = ' + str(ran) + '<br />'
    if num == ran:
        msg += 'Equal!'
    elif num < ran:
        msg += 'Less!'
    else:
        msg += 'Greater!'  # 大小を判定し、同じなら「Equal!」、小なら「Less!」、大なら「Greater!」と表示
    return msg

if __name__ == "__main__":
    app.run(debug = True)
